Bug 1022064 - [abrt] supertux-0.3.3-11.fc19: adjust_pointer<void>: Process /usr/bin/supertux2 was killed by signal 11 (SIGSEGV)
[abrt] supertux-0.3.3-11.fc19: adjust_pointer<void>: Process /usr/bin/supertu...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: supertux (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David King
Fedora Extras Quality Assurance
abrt_hash:996e215219fa800e93c4cb6ed0e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 11:10 EDT by Igor
Modified: 2015-02-17 12:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:46:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (24.80 KB, text/plain)
2013-10-22 11:10 EDT, Igor
no flags Details
File: cgroup (141 bytes, text/plain)
2013-10-22 11:10 EDT, Igor
no flags Details
File: core_backtrace (7.53 KB, text/plain)
2013-10-22 11:10 EDT, Igor
no flags Details
File: dso_list (7.52 KB, text/plain)
2013-10-22 11:10 EDT, Igor
no flags Details
File: environ (1.24 KB, text/plain)
2013-10-22 11:10 EDT, Igor
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-22 11:11 EDT, Igor
no flags Details
File: maps (22.94 KB, text/plain)
2013-10-22 11:11 EDT, Igor
no flags Details
File: open_fds (116 bytes, text/plain)
2013-10-22 11:11 EDT, Igor
no flags Details
File: proc_pid_status (793 bytes, text/plain)
2013-10-22 11:11 EDT, Igor
no flags Details

  None (edit)
Description Igor 2013-10-22 11:10:36 EDT
Version-Release number of selected component:
supertux-0.3.3-11.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        supertux2
crash_function: adjust_pointer<void>
executable:     /usr/bin/supertux2
kernel:         3.11.3-201.fc19.i686
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: Oct 22 17:47:12 lwolf abrt[1946]: Saved core dump of pid 1923 (/usr/bin/supertux2) to /var/tmp/abrt/ccpp-2013-10-22-17:47:10-1923 (55406592 bytes)

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 adjust_pointer<void> at ../../../../libstdc++-v3/libsupc++/tinfo.h:76
 #1 __cxxabiv1::__dynamic_cast at ../../../../libstdc++-v3/libsupc++/dyncast.cc:55
 #2 boost::dynamic_pointer_cast<GLTexture, Texture> at /usr/include/boost/smart_ptr/shared_ptr.hpp:814
 #3 GLRenderer::draw_surface at /usr/src/debug/supertux-0.3.3/src/video/gl/gl_renderer.cpp:116
 #4 DrawingContext::handle_drawing_requests at /usr/src/debug/supertux-0.3.3/src/video/drawing_context.cpp:376
 #5 DrawingContext::do_drawing at /usr/src/debug/supertux-0.3.3/src/video/drawing_context.cpp:340
 #6 ScreenManager::draw at /usr/src/debug/supertux-0.3.3/src/supertux/screen_manager.cpp:160
 #7 ScreenManager::run at /usr/src/debug/supertux-0.3.3/src/supertux/screen_manager.cpp:326
 #8 Main::run at /usr/src/debug/supertux-0.3.3/src/supertux/main.cpp:629
Comment 1 Igor 2013-10-22 11:10:41 EDT
Created attachment 815039 [details]
File: backtrace
Comment 2 Igor 2013-10-22 11:10:44 EDT
Created attachment 815040 [details]
File: cgroup
Comment 3 Igor 2013-10-22 11:10:51 EDT
Created attachment 815041 [details]
File: core_backtrace
Comment 4 Igor 2013-10-22 11:10:55 EDT
Created attachment 815042 [details]
File: dso_list
Comment 5 Igor 2013-10-22 11:10:58 EDT
Created attachment 815043 [details]
File: environ
Comment 6 Igor 2013-10-22 11:11:02 EDT
Created attachment 815044 [details]
File: limits
Comment 7 Igor 2013-10-22 11:11:05 EDT
Created attachment 815045 [details]
File: maps
Comment 8 Igor 2013-10-22 11:11:08 EDT
Created attachment 815046 [details]
File: open_fds
Comment 9 Igor 2013-10-22 11:11:12 EDT
Created attachment 815047 [details]
File: proc_pid_status
Comment 10 Fedora Admin XMLRPC Client 2014-11-10 10:32:39 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora Admin XMLRPC Client 2014-11-11 03:30:56 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Fedora End Of Life 2015-01-09 15:20:20 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-17 12:46:52 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.